aa-profile-hook:(1)

NAME
aa-profile-hook - system hook for AppArmor profiles

DESCRIPTION
When a click package is installed, click will run system and user hooks. The click AppArmor profile system hook copies the named file into the profiles directory, then loads the profile into the kernel. By default, symlinks to the click supplied AppArmor profiles are stored in /var/lib/apparmor/snappy/profiles. These AppArmor profiles are stored in /var/lib/apparmor/profiles with the corresponding profile caches stored in /var/cache/apparmor/apparmor. When aa-profile-hook is run without arguments, it will copy over missing AppArmor profiles. In addition, aa-profile-hook will check the mtime of the symlink of the profile and copy over any profiles with an mtime older than the corresponding profile.

USAGE

aa-profile-hook [OPTIONS]

OPTIONS

-h  show program's help

-f | --force
    Force copy of all profiles

NOTES

When reinstalling a click with the same version, it may be useful to recopy the AppArmor profile like so:
  # touch -h /var/lib/apparmor/snappy/profiles/<profile>
  # aa-profile-hook

SEE ALSO

apparmor(7) click(1) aa-clickhook(1)